# Interface IRWSPromptJSON

interface IRWSPromptJSON {
convo: {
id: string;
};
created_at: string;
enhancedInput: IPromptEnchantment[];
hyperParameters: IPromptHyperParameters;
input: string;
modelId: string;
modelType: string;
multiTemplate: PromptTemplate<any, any>;
originalInput: string;
output: string;
sentInput: string;
var_storage: any;
}

- Defined in src/models/prompts/_prompt.ts:57

#####
Index

### Properties

convo
created_at
enhancedInput
hyperParameters
input
modelId
modelType
multiTemplate
originalInput
output
sentInput
var_storage

## Properties

### convo

convo: {
id: string;
}

#### Type declaration

- ##### id: string

- Defined in src/models/prompts/_prompt.ts:66

### created_at

created_at: string

- Defined in src/models/prompts/_prompt.ts:68

### enhancedInput

enhancedInput: IPromptEnchantment[]

- Defined in src/models/prompts/_prompt.ts:59

### hyperParameters

hyperParameters: IPromptHyperParameters

- Defined in src/models/prompts/_prompt.ts:67

### input

input: string

- Defined in src/models/prompts/_prompt.ts:58

### modelId

modelId: string

- Defined in src/models/prompts/_prompt.ts:63

### modelType

modelType: string

- Defined in src/models/prompts/_prompt.ts:64

### multiTemplate

multiTemplate: PromptTemplate<any, any>

- Defined in src/models/prompts/_prompt.ts:65

### originalInput

originalInput: string

- Defined in src/models/prompts/_prompt.ts:61

### output

output: string

- Defined in src/models/prompts/_prompt.ts:62

### sentInput

sentInput: string

- Defined in src/models/prompts/_prompt.ts:60

### var_storage

var_storage: any

- Defined in src/models/prompts/_prompt.ts:69

Generated using TypeDoc